< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package trackingconsent
  Definition Classes
    hmrc
-  package models
  Definition Classes
    trackingconsent
- Preferences
- UserConsent
- UserPreferences

p

uk.gov.hmrc.trackingconsent

# models 

#### package models

 
Ordering

1. Alphabetic

Visibility

1. Public
2. All

### Type Members

1.  case class Preferences(measurement: Boolean, settings: Boolean) extends Product with Serializable
2.  case class UserConsent(version: String, datetimeSet: String, preferences: Preferences) extends Product with Serializable
3.  class UserPreferences extends AnyRef

### Value Members

1.  object Preferences extends Serializable
2.  object UserConsent extends Serializable

### Ungrouped